<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="HelloWorld">
        <s:complexType />
      </s:element>
      <s:element name="HelloWorldResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="HelloWorldResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetOrderData">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="requestEnt" type="tns:GIEntity" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="GIEntity">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="OrderNo" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ListConfirmData">
            <s:complexType>
              <s:sequence>
                <s:element ref="s:schema" />
                <s:any />
              </s:sequence>
            </s:complexType>
          </s:element>
          <s:element minOccurs="0" maxOccurs="1" name="ListGetData">
            <s:complexType>
              <s:sequence>
                <s:element ref="s:schema" />
                <s:any />
              </s:sequence>
            </s:complexType>
          </s:element>
          <s:element minOccurs="1" maxOccurs="1" name="IsComplete" type="s:boolean" />
          <s:element minOccurs="0" maxOccurs="1" name="ErrorMessage" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetOrderDataResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetOrderDataResult" type="tns:GIEntity" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="WriteScanDataToServer">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="requestEnt" type="tns:GIEntity" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="WriteScanDataToServerResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="WriteScanDataToServerResult" type="tns:GIEntity" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="HelloWorldSoapIn">
    <wsdl:part name="parameters" element="tns:HelloWorld" />
  </wsdl:message>
  <wsdl:message name="HelloWorldSoapOut">
    <wsdl:part name="parameters" element="tns:HelloWorldResponse" />
  </wsdl:message>
  <wsdl:message name="GetOrderDataSoapIn">
    <wsdl:part name="parameters" element="tns:GetOrderData" />
  </wsdl:message>
  <wsdl:message name="GetOrderDataSoapOut">
    <wsdl:part name="parameters" element="tns:GetOrderDataResponse" />
  </wsdl:message>
  <wsdl:message name="WriteScanDataToServerSoapIn">
    <wsdl:part name="parameters" element="tns:WriteScanDataToServer" />
  </wsdl:message>
  <wsdl:message name="WriteScanDataToServerSoapOut">
    <wsdl:part name="parameters" element="tns:WriteScanDataToServerResponse" />
  </wsdl:message>
  <wsdl:portType name="GIServiceSoap">
    <wsdl:operation name="HelloWorld">
      <wsdl:input message="tns:HelloWorldSoapIn" />
      <wsdl:output message="tns:HelloWorldSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetOrderData">
      <wsdl:input message="tns:GetOrderDataSoapIn" />
      <wsdl:output message="tns:GetOrderDataSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="WriteScanDataToServer">
      <wsdl:input message="tns:WriteScanDataToServerSoapIn" />
      <wsdl:output message="tns:WriteScanDataToServerSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="GIServiceSoap" type="tns:GIServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="HelloWorld">
      <soap:operation soapAction="http://tempuri.org/HelloWorld" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOrderData">
      <soap:operation soapAction="http://tempuri.org/GetOrderData" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WriteScanDataToServer">
      <soap:operation soapAction="http://tempuri.org/WriteScanDataToServer" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="GIServiceSoap12" type="tns:GIServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="HelloWorld">
      <soap12:operation soapAction="http://tempuri.org/HelloWorld" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOrderData">
      <soap12:operation soapAction="http://tempuri.org/GetOrderData" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WriteScanDataToServer">
      <soap12:operation soapAction="http://tempuri.org/WriteScanDataToServer" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="GIService">
    <wsdl:port name="GIServiceSoap" binding="tns:GIServiceSoap">
      <soap:address location="http://localhost/WSGIRack/GIService.asmx" />
    </wsdl:port>
    <wsdl:port name="GIServiceSoap12" binding="tns:GIServiceSoap12">
      <soap12:address location="http://localhost/WSGIRack/GIService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>